> For the complete documentation index, see [llms.txt](https://docs.vechain.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vechain.org/developer-resources/index-with-graph-node/index-with-openzeppelin/access-subgraph.md).

# Access Subgraph

During deployment, the subgraph URL has been shown. It is the subgraph's name attached to the service URL: <http://127.0.0.1:8000/subgraphs/name/vebetterdao/tokens/graphql>

When opened in the browser, it will display a GraphiQL interface that allows you to build queries by clicking and entering the data. Use it to explore possibilities and test queries.

An example query to test the subgraph is:

```graphql
{
  erc20Contracts {
    name
    symbol
    totalSupply {
      value
    }
    balances(
      orderBy: valueExact
      orderDirection: desc
      where: {account_not: null}
      first: 1
    ) {
      account {
        id
      }
      value
    }
  }
}
```

This query will retrieve all indexed contracts (B3TR + VOT3) and list some details about them, including the largest account holder for each.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vechain.org/developer-resources/index-with-graph-node/index-with-openzeppelin/access-subgraph.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
